
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS开发核心语言Objetive C —— 编译器指令@[email&#160;protected]自定义构造方法及类工厂 / 憋错料</title>

    <meta name="description" content="iOS开发核心语言Objetive C —— 编译器指令@[email&#160;protected]自定义构造方法及类工厂 本分享是面向有意向从事iOS开发的伙伴们,或者已经从事了iOS的开发者.如果您对iOS开发有极高的兴趣,可以与我一起探讨iOS开发,一起学习,共同进步.如果您是零基础,建议您先翻阅我之前分享的iOS开发分分钟搞定C语言系列,然后在开始Objective C语言的学习,如果您遇到问题也可以与我探讨,另外将无偿分享自己整理的大概400G iOS学习视频及学习资料,都是干货哦!可以新浪微博私信?关注极客James,期待与您的共同学习和探讨!!由于时间有限,每天在工作之余整理的学习分享,难免有不足之处,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">iOS开发核心语言Objetive C —— 编译器指令@[email&#160;protected]自定义构造方法及类工厂</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>本分享是面向有意向从事iOS开发的伙伴们，或者已经从事了iOS的开发者。如果您对iOS开发有极高的兴趣，可以与我一起探讨iOS开发，一起学习，共同进步。如果您是零基础，建议您先翻阅我之前分享的<a href="http://blog.csdn.net/zc639143029/article/category/5673671" rel="external nofollow noreferrer">iOS开发分分钟搞定C语言系列</a>，然后在开始Objective C语言的学习，如果您遇到问题也可以与我探讨，另外将无偿分享自己整理的大概400G iOS学习视频及学习资料，都是干货哦！可以新浪微博私信?关注<a href="http://weibo.com/iosJames" rel="external nofollow noreferrer">极客James</a>，期待与您的共同学习和探讨！！由于时间有限，每天在工作之余整理的学习分享，难免有不足之处，也希望各路大神指正！</p>
<p>made by ：<a href="http://weibo.com/iosJames" rel="external nofollow noreferrer">极客James</a></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA4MTAxMjQ5MTc2MzY=.jpg"></p>
<p><strong>一、@property编译器指令</strong></p>
<p><strong>[email&#160;protected]概念</strong></p>
<p>（1）首先@property是编译器的指令</p>
<p>（2）编译器指令就是用来告诉编译器要做什么，为了节省重复代码及提供程序员编码</p>
<p>（3）@property 用在声明文件中告诉编译器声明成员变量的的访问器(getter/setter)方法</p>
<p>（4）这样的好处是:免去我们手工书写getter和setter方法繁琐的代码</p>
<p><strong>[email&#160;protected]使用</strong></p>
<p>（1）在@inteface中，用来自动生成setter和getter的声明。</p>
<p>用@property int age;就可以代替下面的两行</p>
<pre><code>- (int)age;   // getter
- (void)setAge:(int)age;  // setter</code></pre>
<p><strong>[email&#160;protected]编写步骤</strong></p>
<p>（1）在@inteface和@end之间写上@property</p>
<p>（2）在@property后面写上需要生成getter/setter方法声明的属性名称, 注意因为getter/setter方法名称中得属性不需要<em>, 所以@property后的属性也不需要</em>.并且@property和属性名称之间要用空格隔开</p>
<p>（3）在@property和属性名字之间告诉需要生成的属性的数据类型, 注意两边都需要加上空格隔开。</p>
<p><strong>[email&#160;protected]增强特性</strong></p>
<p>自从Xcode 4.x后，@property可以同时生成setter和getter的声明和实现方法。</p>
<p>（1）默认情况下，setter和getter方法中的实现，会去访问下划线 _ 开头的成员变量。</p>
<pre><code>@interface Person : NSObject
{
    @public
    int _age;
    int age;
}
@property int age;

@end

int main(int argc, const char * argv[]) {

    Person *p = [Person new];
    [p setAge:30];
    NSLog(@"age = %i, _age = %i", p-&gt;age, p-&gt;_age);

    return 0;
}</code></pre>
<p>（2）如果没有会自动生成一个_开头的成员变量,自动生成的成员变量是私有变量, 声明在.m中,在其它文件中无法查看,但当可以在本类中查看</p>
<p>@property只会生成最简单的getter/setter方法,而不会进行数据判断</p>
<pre><code>Person *p = [Person new];
[p setAge:-10];
NSLog(@"age = %i", [p age]);</code></pre>
<p>（3）如果需要对数据进行判断需要我们之间重写getter/setter方法</p>
<p>（4）若手动实现了setter方法，编译器就只会自动生成getter方法</p>
<p>（5）若手动实现了getter方法，编译器就只会自动生成setter方法</p>
<p>（6）若同时手动实现了setter和getter方法，编译器就不会自动生成不存在的成员变量</p>
<p><strong>[email&#160;protected]修饰符</strong></p>
<p>readonly 只生成setter方法，不生成getter方法</p>
<p>readwrite 既生成getter 又生成setter方法（默认）</p>
<p>@property (readonly) int age;</p>
<p>指定所生成的方法的方法名称</p>
<p>getter=你定制的getter方法名称</p>
<p>setter=你定义的setter方法名称(注意setter方法必须要有 :)</p>
<p>如果给一个属性同时提供了getter/setter方法, 那么我们称这个属性为可读可写属性</p>
<p>如果只提供了getter方法, 那么我们称这个属性为只读属性</p>
<p>如果只提供了setter方法, 那么我们称这个属性为只写属性</p>
<p>如果既没有提供getter也没有提供setter方法, 那么我们称这个属性为私有属性</p>
<p><strong>格式:</strong></p>
<p>@property(属性修饰符) 数据类型 变量名称;</p>
<p>readwrite: 代表既生成getter方法 , 也生成setter方法</p>
<p><strong>三、@synthesize</strong></p>
<p><strong>[email&#160;protected]的概念</strong></p>
<p>（1）@synthesize是编译器的指令</p>
<p>（2）编译器指令就是用来告诉编译器要做什么！</p>
<p>（3）@synthesize 用在实现文件中告诉编译器实现成员变量的的访问器(getter/setter)方法</p>
<p>（4）好处是:免去我们手工书写getterr和setter方法繁琐的代码</p>
<p><strong>[email&#160;protected]基本使用</strong></p>
<p>用@synthesize age = _age;就可以代替</p>
<pre><code>- (int)age{
    return _age;
}
- (void)setAge:(int)age{
    _age = age;
}</code></pre>
<p><strong>[email&#160;protected]编写步骤</strong></p>
<p>（1）在@implementation和@end之间写上@synthesize</p>
<p>（2）在@synthesize后面写上和@property中一样的属性名称, 这样@synthesize就会将@property生成的什么拷贝到@implementation中</p>
<p>（3）由于getter/setter方法实现是要将传入的形参给属性和获取属性的值,所以在@synthesize的属性后面写上要将传入的值赋值给谁和要返回哪个属性的值, 并用等号连接。</p>
<p><strong>[email&#160;protected]注意点</strong></p>
<p>（1）@synthesize age = _age;</p>
<p>setter和getter实现中会访问成员变量_age</p>
<p>如果成员变量_age不存在，就会自动生成一个@private的成员变量_age</p>
<p>@synthesize age;</p>
<p>（2）setter和getter实现中会访问@synthesize后同名成员变量age</p>
<p>如果成员变量age不存在，就会自动生成一个@private的成员变量age</p>
<p>多个属性可以通过一行@synthesize搞定,多个属性之间用逗号连接。</p>
<p><strong>三、静态类型和动态类型</strong></p>
<p><strong>1.静态类型和动态类型的定义</strong></p>
<p>（1）静态类型，将一个指针变量定义为特定类的对象时,使用的是静态类型,在编译的时候就知道这个指针变量所属的类,这个变量总是存储特定类的对象。</p>
<p>（2）动态类型，这一特性是程序直到执行时才确定对象所属的类</p>
<p><strong>2.id数据类型</strong></p>
<p>（1）id是一个数据类型, 并且是一个动态数据类型</p>
<p>既然是数据类型, 所以就可以用来：</p>
<p>- 定义变量</p>
<p>- 作为函数的参数</p>
<p>- 作为函数的返回值</p>
<p>默认情况下所有的数据类型都是静态数据类型</p>
<p><strong>3.静态数据类型的特点</strong></p>
<p>（1）在编译时就知道变量的类型,</p>
<p>（2）知道变量中有哪些属性和方法</p>
<p>（3）在编译的时候就可以访问这些属性和方法, 并且如果是通过静态数据类型定义变量, 如果访问了不属于静态数据类型的属性和方法, 那么编译器就会报错</p>
<p><strong>4.动态数据类型的特点:</strong></p>
<p>在编译的时候编译器并不知道变量的真实类型, 只有在运行的时候才知道它的真实类型。</p>
<p>并且如果通过动态数据类型定义变量, 如果访问了不属于动态数据类型的属性和方法, 编译器不会报错</p>
<pre><code> id == NSObject * 万能指针
 id和NSObject *的区别:
 NSObject *是一个静态数据类型
</code></pre>
<p>通过静态数据类型定义变量, 不能调用子类特有的方法</p>
<p>通过动态数据类型定义变量, 可以调用子类特有的方法</p>
<p>通过动态数据类型定义的变量, 可以调用私有方法</p>
<p>弊端: 由于动态数据类型可以调用任意方法, 所以有可能调用到不属于自己的方法, 而编译时又不会报错, 所以可能导致运行时的错误</p>
<p><strong>应用场景</strong>: 多态，可以减少代码量, 避免调用子类特有的方法需要强制类型转换。</p>
<p><strong>5.instancetype</strong></p>
<p>（1） instancetype == id == 万能指针 == 指向一个对象</p>
<p>（2）id在编译的时候不能判断对象的真实类型</p>
<p>（3）instancetype在编译的时候可以判断对象的真实类型</p>
<p>（4） id和instancetype除了一个在编译时不知道真实类型, 一个在编译时知道真实类型以外, 还有一个区别</p>
<p>（5）id可以用来定义变量, 可以作为返回值, 可以作为形参</p>
<p>（6）instancetype只能用于作为返回值</p>
<p><strong>注意:</strong> 以后用到自定义构造方法, 返回值尽量使用instancetype, 不要使用id</p>
<p><strong>四、构造方法</strong></p>
<p><strong>1.init方法</strong></p>
<p>想在对象创建完毕后，成员变量马上就有一些默认的值就可以重写init方法。</p>
<p>重写init方法格式:</p>
<pre><code>- (instancetype)init {
    self = [super init];
    if (self) {
        // Initialize self.
    }
    return self;
}</code></pre>
<p><strong>2.构造方法使用注意</strong></p>
<p>（1）子类拥有的成员变量包括自己的成员变量以及从父类继承而来的成员变量,在重写构造方法的时候应该首先对从父类继承而来的成员变量先进行初始化。</p>
<p><strong>原则:</strong>先初始化父类的,再初始化子类的。</p>
<p>先调用父类的构造方法[super init];</p>
<p>再进行子类内部成员变量的初始化。</p>
<p><strong>千万不要把self = [super init]写成self == [super init]</strong></p>
<p>重写构造方法的目的:为了让对象方法一创建出来,成员变量就会有一些固定的值。</p>
<p><strong>3.自定义构造方法</strong></p>
<p>有时候仅仅靠重写构造方法（初始化方法），不能满足需求。比如一个班级中不可能所有学生的年龄都一样，这时候我们需要在创建某个学生的时候能够传入这个学生的年龄。这时候就需要来自定义构造函数（初始化函数）</p>
<p><strong>4.自定义构造方法的规范</strong></p>
<p>(1)一定是对象方法,以减号开头</p>
<p>(2)返回值一般是instancetype类型</p>
<p>(3)方法名必须以initWith开头</p>
<p>实例：</p>
<pre><code>.h 声明文件
@interface Person : NSObject
@property int age;
@property NSString *name;
// 当想让对象一创建就拥有一些指定的值,就可以使用自定义构造方法
- (id)initWithAge:(int)age;
- (id)initWithName:(NSString *)name;
- (id)initWithAge:(int)age andName:(NSString *)name;
@end

.m 实现文件
- (id)initWithAge:(int)age{
if(self = [super init]){
    _age = age;
}
return self;
}

- (id)initWithName:(NSString *)name{
if (self = [super init]){
_name = name ;
}
return self;
}

- (id)initWithAge:(int)age andName:(NSString *)name{
if(self = [super init]){
    _name = name;

}
return self;
}
</code></pre>
<p><strong>5.自定义方法的继承</strong></p>
<p>（1）不能在子类访问父类私有变量.</p>
<p>（2）父类的属性交给父类的方法来处理</p>
<p>（3）自定义构造方法必须以intiWith开头,并且’W’必须大写</p>
<p><strong>6.自定义类工厂方法</strong></p>
<p>什么是类工厂方法:</p>
<p>用于快速创建对象的类方法, 我们称之为类工厂方法</p>
<p>类工厂方法中主要用于 给对象分配存储空间和初始化这块存储空间</p>
<p><strong>规范:</strong></p>
<p>1.一定是类方法 +</p>
<p>2.方法名称以类的名称开头, 首字母小写</p>
<p>3.一定有返回值, 返回值是id/instancetype</p>
<p>实例：</p>
<pre><code>.h 文件声明
@interface Person : NSObject
@property  int  age;

+ (instancetype)person;

+ (instancetype)personWithAge:(int)age;

@end</code></pre>
<pre><code>.m文件实现
+(instancetype)person{

return   [[Person alloc]init];
}

+ (instancetype)personWithAge:(int)age{
Person *p = [[Person alloc]init];
p.age = age;
return p;
}</code></pre>
<p><strong>7.类方法工厂方法的继承</strong></p>
<p><strong>注意:</strong></p>
<p>（1） 但凡自定义类工厂方法, 在类工厂方法中创建对象一定不要使用类名来创建。</p>
<p>（2）一定要使用self来创建</p>
<p>（3）self在类方法中就代表类对象, 到底代表哪一个类对象呢?，谁调用当前方法, self就代表谁。</p>
<p>实例代码：</p>
<p>.h文件</p>
<p>@property int age;</p>
<p>+(instancetype)person;</p>
<p>+(instancetype)personWithAge:(int)age;</p>
<pre><code>.m文件
+(instancetype)person{
return    [[self alloc]init];
}
+(instancetype)personWithAge:(int)age{
person *p = [[self alloc]init];
p.age = age;
return = p;
}</code></pre>
<p><strong>五、类的本质及启动过程</strong></p>
<p>（1）类的本质其实也是一个对象(类对象)</p>
<p>（2）程序中第一次使用该类的时候被创建，在整个程序中只有一份。</p>
<p>（3）此后每次使用都是这个类对象，它在程序运行时一直存在。</p>
<p>（4）类对象是一种数据结构,存储类的基本信息:类大小,类名称,类的版本，继承层次，以及消息与函数的映射表等</p>
<p>（5）类对象代表类,Class类型,对象方法属于类对象</p>
<p>（6）如果消息的接收者是类名,则类名代表类对象</p>
<p>（7）所有类的实例都由类对象生成,类对象会把实例的isa的值修改成自己的地址,每个实例的isa都指向该实例的类对象</p>
<p><strong>六、OC实例对象 类对象 元对象之间关系</strong></p>
<p>（1）每一个对象 都是一个类的实例。</p>
<p>（2）每一个对象 都有一个名为isa的指针,指向该对象的类。</p>
<p>（3）每一个类描述了一系列它的实例的特点,包括成员变量的列表,成员函数的列表等。</p>
<p>（4）每一个对象都可以接受消息,而对象能够接收的消息列表是保存在它所对应的类中。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA4MTAxMjUzMzM2MjM=.jpg"></p>
<p>版权声明：本文为博主原创文章,为了能相互促进,相互学习,请关注新浪微博:极客James</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 16:10:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/ios/" title="ios">ios</a>, <a href="https://www.biecuoliao.com/tag/c%e8%af%ad%e8%a8%80/" title="c语言">c语言</a>, <a href="https://www.biecuoliao.com/tag/%e7%bc%96%e8%af%91%e5%99%a8/" title="编译器">编译器</a>, <a href="https://www.biecuoliao.com/tag/ios%e5%bc%80%e5%8f%91/" title="ios开发">ios开发</a>, <a href="https://www.biecuoliao.com/tag/%e8%8b%b9%e6%9e%9c%e5%bc%80%e5%8f%91/" title="苹果开发">苹果开发</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>iOS开发核心语言Objetive C —— 编译器指令@[email&#160;protected]自定义构造方法及类工厂的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZrdPl3.html" rel="bookmark">iOS开发核心语言Objective  C &mdash;&mdash; 全部知识点总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本分享是面向有意向从事iOS开发的伙伴及苹果产品的发烧友,亦或是已经从事了iOS的开发人员,想进一步提升者.假设您对iOS开发有极高的兴趣,能够与我一起探讨iOS开发.一起学习,共同进步.假设您是零基础.建议您先翻阅我之前分享的iOS开发分分钟搞定C语言系列,然后在開始Objective C语言的学习,假设您遇到问题也能够与我探讨.另外将无偿分享自己整理出来的大概400G iOS学习视频及学习资料,都是干货哦.能够新浪微博私信?关注极客James,期待与您的共同学习和探讨! ! 由于时间有限,每			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kNyAzM.html" rel="bookmark">iOS开发核心语言Objective C &mdash;&mdash; 所有知识点总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C和OC对比 OC中主要开发在什么平台上的应用程序?答:可以使用OC开发Mac OS X平台和iOS平台的应用程序 OC中新增关键字大部分是以什么开头?答:OC中新增关键字大部分是以@开头 OC中新增加了那些数据类型?答:Block类型指针类型(Class, id类型)空类型特殊类型(SEL, nil) 面向对象特性是什么?答:继承性,封装性,多态性 import和#include有什么区别? 答:import 的功能和 include一样, 是将右边的文件拷贝到当前import的位置.为了降低			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgQaDK3.html" rel="bookmark">iOS开发核心语言Objective C &mdash;&mdash; 面向对象思维、setter和getter方法及点语法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本分享是面向有意向从事iOS开发的伙伴们.或者已经从事了iOS的开发人员.假设您对iOS开发有极高的兴趣,能够与我一起探讨iOS开发.一起学习,共同进步.假设您是零基础,建议您先翻阅我之前分享的iOS开发分分钟搞定C语言系列.然后在開始Objective C语言的学习,假设您遇到问题也能够与我探讨,另外将无偿分享自己整理的大概400G iOS学习视频及学习资料.都是干货哦.能够新浪微博私信?关注极客James.期待与您的共同学习和探讨.! 由于时间有限,每天在工作之余整理的学习分享.难免有不足之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/gMWkZBM.html" rel="bookmark">李洪强漫谈iOS开发&lbrack;C语言-043&rsqb;-判断较早日期</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				李洪强漫谈iOS开发[C语言-043]-判断较早日期			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q0x91L3.html" rel="bookmark">Android &amp;amp&semi;Swift iOS开发：语言与框架对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载自:http://www.infoq.com/cn/articles/from-android-to-swift-ios?utm_campaign=rightbar_v2&amp;utm_source=infoq&amp;utm_medium=articles_link&amp;utm_content=link_text 从Android到Swift iOS开发:语言与框架对比 我从2009年开始做Android开发,开始接触Swift是在2014年底,当时组里曾经做过一个Demo App,感觉技术还			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBAG8y4.html" rel="bookmark">李洪强漫谈iOS开发&lbrack;C语言-041&rsqb;-计算月份天数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				李洪强漫谈iOS开发[C语言-041]-计算月份天数 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02L2OD4.html" rel="bookmark">李洪强漫谈iOS开发&lbrack;C语言-044&rsqb;-翻译数字</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 李洪强漫谈iOS开发[C语言-044]-翻译数字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZpNBLM.html" rel="bookmark">李洪强漫谈iOS开发&lbrack;C语言-037&rsqb;-if else 语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				李洪强漫谈iOS开发[C语言-037]-if else 语句			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xeJ5D3.html" rel="bookmark">李洪强漫谈iOS开发&lbrack;C语言-038&rsqb;-if else if语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				李洪强漫谈iOS开发[C语言-038]-if else if语句			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPgov4.html" rel="bookmark" class="title">Linux运维常用命令</a>
					<div>
						Linux运维常用的150个命令 命令 功能说明 线上查询及帮助命令(2个) man 查看命令帮助,命令的词典,更复杂的还有info,但不常用. help 查看Linux内置命令的帮助,比如cd命令. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dP7B0.html" rel="bookmark" class="title">find命令参数及其详解</a>
					<div>
						find find 功能说明:查找文件或目录. 语 法:find [目录...][-amin &lt;分钟&gt;][-anewer &lt;参考文件或目录&gt;][-atime &lt;24小时数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eAAWZ0.html" rel="bookmark" class="title">在Java代码中使用pdfBox将PDF转换为图片</a>
					<div>
						生成图片 // 生成图片 PDDocument pd = PDDocument.load(new File(filePath)); PDFRenderer pdfRenderer = new PDFR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68Xvy3.html" rel="bookmark" class="title">使用逆波兰式进行表达式求值</a>
					<div>
						中缀表达式及后缀表达式图解中说明了使用逆波兰式进行表达式求值的方法,这里使用C++进行实现.实现和原理讲解有一点不同,需要进一步进行细化. 关于将中缀表达式转换成后后缀表达式的规则: 规则:从左到右遍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38N9p2M.html" rel="bookmark" class="title">Linux 基础学习</a>
					<div>
						Linux简单命令					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDRrEM.html" rel="bookmark" class="title">Net accounts命令</a>
					<div>
						Net accounts 将用户帐户数据库升级并修改所有帐户的密码和登录请求. 语法 net accounts [/forcelogoff:{minutes | no}] [/minpwlen:len ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lm6v0.html" rel="bookmark" class="title">interview fb2</a>
					<div>
						2014.7.8fb #include &lt;iostream&gt; using namespace std; struct TreeNode{ int val; TreeNode *left;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kqyjw4.html" rel="bookmark" class="title">代码同步优化</a>
					<div>
						1 class Res 2 { 3 private String name; 4 private String gender; 5 private boolean flag; 6 7 //根据面向对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qON13.html" rel="bookmark" class="title">&lbrack;注&rsqb;一将功成万骨枯！App的七种死法</a>
					<div>
						一将功成万骨枯,这种事在有泡沫的行业总是会发生的.移动互联网尤甚.从&lt;愤怒的小鸟&gt;到&lt;植物大战僵尸&gt;.&lt;捕鱼达人&gt;.&lt;唱吧&gt;.&lt;陌陌&gt;……一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eyWmg0.html" rel="bookmark" class="title">UVA10883 Supermean</a>
					<div>
						题意:输入n个数(n&lt;5000),每次求出所有相邻两个数的平均数,n-1次后只剩一个数,问这个数是多少? 题解:算每一个数对答案的贡献,可以发现最后的答案是每一个数乘以一个多项式展开的系数,n非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEvBEQ0.html" rel="bookmark" class="title">NodeJS入门--环境搭建 IntelliJ IDEA</a>
					<div>
						NodeJS入门–环境搭建 IntelliJ IDEA 本人也刚开始学习NodeJS,所以以此做个笔记,欢迎大家提出意见. 1.首先 下载安装NodeJS,下载安装IntelliJ IDEA 2.接下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mox8yb0.html" rel="bookmark" class="title">sftp上传 - 待完</a>
					<div>
						1.搭建本地sftp 1.1.下载msftpsrvr.exe软件 下载地址:http://www.download3k.com/Install-Core-FTP-Mini-SFTP-Server.ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglwOr0.html" rel="bookmark" class="title">Android&mdash;&mdash;AutoCompleteTextView、Spinner和消息提示</a>
					<div>
						layout文件: 1 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; 2 &lt;LinearLayout xmln ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVqQQp4.html" rel="bookmark" class="title">0000&lowbar;0000&lowbar;0000&lowbar;0011 frame and bounce</a>
					<div>
						0000 0000 0000 0011 写于2015.04.05 19:23 1.frame bounce 这两天被UIScroll View 搞的晕头转向,主要还是几个问题没有完全搞懂,总在以为搞定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3waXXVM.html" rel="bookmark" class="title">学习笔记：JavaScript-入门篇</a>
					<div>
						1.对话框,输出框,警告框   1. document.write() 可用于直接向 HTML 输出流写内容.简单的说就是直接在网页中输出内容. 2.alert(字符串或变量); 3.confirm  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLR1NE3.html" rel="bookmark" class="title">调试存储过程报权限不足：ORA-0131 Insufficient privileges&period;</a>
					<div>
						在用plsql调试存储过程时报错: ORA-0131:Insufficient privileges. Note:Debugging requires the DEBUG CONNECT SESSIO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wpOKQ4.html" rel="bookmark" class="title">最简单的Web Service实现</a>
					<div>
						概述 这里提供一个最简单的Web Service的实现,基于JAX-WS.除了jdk不需要任何其他jar包,使用Eclipse提供的Web Services Explorer访问服务. 服务端的实现  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLx9EEM.html" rel="bookmark" class="title">【转】为什么我要用 Node&period;js&quest; 案例逐一介绍</a>
					<div>
						原文转自:http://blog.jobbole.com/53736/ 介绍 JavaScript 高涨的人气带来了很多变化,以至于如今使用其进行网络开发的形式也变得截然不同了.就如同在浏览器中一样, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgmzy3.html" rel="bookmark" class="title">选择结构（二）</a>
					<div>
						switch选择结构 switch(表达式){--&gt;整形或字符型 case 常量1: 计算表达式的值 语句: break: case 常量2: 语句: break: ...... default ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49OOov0.html" rel="bookmark" class="title">VS&plus;VAssistX自动添加注释</a>
					<div>
						在VC6.0里边,C++函数头注释是使用一个宏完成的,VS系列中C#在函数头输入三个反斜杠也会自动生成XML格式的函数头注释. 又懒得在VS2008中写类似于添加函数头的注释,只能依靠一些工具了,今天 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
